<script>
    import Link from './Link.svelte'
    import Input from './Input.svelte'
    import Home from 'components/Icons/Home.svelte'
    import Search from 'components/Icons/Search.svelte'
    import Notification from 'components/Icons/Notification.svelte'
    import Profile from 'components/Icons/Profile.svelte'
    import { user } from 'store'

    export let segment

    $: active = route => segment === route
</script>

<nav>
    {#if segment === 'post'}
        <Input />
    {/if}
    <ul>
        <Link to="/" active={active(undefined)}>
            <Home />
        </Link>
        <Link to="/rechercher" active={active('rechercher')}>
            <Search />
        </Link>
        <Link to="/notifications/demandes" active={active('notifications')}>
            <Notification />
        </Link>
        <Link
            to={`/@${$user?.username}`}
            active={active(`@${$user?.username}`)}
        >
            <Profile />
        </Link>
    </ul>
</nav>

<style lang="postcss">
    nav {
        @apply border-t border-blueGray-200 py-6;

        ul {
            @apply flex items-center justify-evenly;
        }
    }
</style>
